This page was not yet optimized for use on mobile devices.
Cisco Network Convergence System 2000 Series Cryptographic Module
Certificate details
| Certificate ID | #3515 |
|---|---|
| Status | historical |
| Historical reason | SP 800-56Arev3 transition |
| Validation dates | 29.08.2019 |
| Standard | FIPS 140-2 |
| Security level | 2 |
| Type | Hardware |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode and with the tamper evident seals installed as indicated in the Security Policy |
| Exceptions |
|
| Description | The Cisco NCS 2000 Series offers three chassis variants to meet varying scale and space requirements. This Cisco« Network Convergence System (NCS) Family of products provides an Evolved Programmable Network (EPN) which simplify network operations, reduce network costs, and make your network more dynamic and profitable. The Cisco Network Convergence System 2000 Series (NCS 2000 Series) delivers agility, programmability, and massive scale across ultra-long-haul, metro, and enterprise optical networks. |
| Version (Hardware) | NCS2002, NCS2006 and NCS2015 with FIPS Kit (AIR-AP-FIPSKITx7 and AIR-AP-FIPSKITx8) and other components identified in Security Policy section 2.1 |
| Version (Firmware) | 11.0 |
| Vendor | Cisco Systems, Inc. http://www.cisco.com |
| Lab | Gossamer Security Solutions |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES-256, AES, RC4, DES, Triple-DES, HMAC, HMAC-SHA-256, HMAC-SHA-384, HMAC-SHA-512Asymmetric Algorithms
RSA 2048, ECDH, DH, Diffie-HellmanHash functions
SHA-1, SHA-256, SHA-384, SHA-512, MD5Protocols
SSHv2, SSH, TLSv1.2, TLSRandomness
DRBGElliptic Curves
P-256, P-384, P-521Block cipher modes
ECB, CTR, GCMVendor
Cisco, Cisco Systems, Inc, Cisco SystemsSecurity level
Level 2, level 2Certification process
out of scope, of the TELs as depicted below and any additional requirement per the site security policy which are out of scope of this Security Policy. To seal the system, apply tamper-evidence labels as depicted in theStandards
FIPS 140-2, FIPS PUB 140-2, FIPS 1402, FIPS 140, FIPS 186-4, SP 800-90A, SP 800-52, RFC 5288, RFC 5246, RFC 4253Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3515,
"dgst": "ed893e02d0d3b0c3",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"Triple-DES#C426",
"SHS#C426",
"DRBG#C426",
"RSA#C426",
"AES#2769",
"CVL#C426",
"HMAC#C426",
"AES#2770",
"AES#C426"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"2.1",
"11.0"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 45,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECDH": {
"ECDH": 17
}
},
"FF": {
"DH": {
"DH": 10,
"Diffie-Hellman": 20
}
},
"RSA": {
"RSA 2048": 6
}
},
"certification_process": {
"OutOfScope": {
"of the TELs as depicted below and any additional requirement per the site security policy which are out of scope of this Security Policy. To seal the system, apply tamper-evidence labels as depicted in the": 1,
"out of scope": 1
}
},
"cipher_mode": {
"CTR": {
"CTR": 1
},
"ECB": {
"ECB": 1
},
"GCM": {
"GCM": 4
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"SSH": {
"SSH": 8,
"SSHv2": 37
},
"TLS": {
"TLS": {
"TLS": 86,
"TLSv1.2": 9
}
}
},
"crypto_scheme": {},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-256": 6,
"P-384": 6,
"P-521": 6
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#1": 1
}
},
"fips_certlike": {
"Certlike": {
"AES 128/192/256": 2,
"AES 256": 1,
"AES-256": 4,
"HMAC SHA-1": 1,
"HMAC SHA-256": 1,
"HMAC SHA-384": 1,
"HMAC SHA-512": 1,
"HMAC-SHA 256/384": 4,
"HMAC-SHA-1": 2,
"HMAC-SHA-256": 2,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 2,
"HMAC-SHA1": 2,
"RSA 2048": 6,
"SHA-1": 3,
"SHA-256": 2,
"SHA-384": 2,
"SHA-512": 2
}
},
"fips_security_level": {
"Level": {
"Level 2": 4,
"level 2": 1
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 5
}
},
"SHA": {
"SHA1": {
"SHA-1": 3
},
"SHA2": {
"SHA-256": 2,
"SHA-384": 2,
"SHA-512": 2
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 45
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140": 2,
"FIPS 140-2": 17,
"FIPS 1402": 1,
"FIPS 186-4": 2,
"FIPS PUB 140-2": 1
},
"NIST": {
"SP 800-52": 1,
"SP 800-90A": 5
},
"RFC": {
"RFC 4253": 1,
"RFC 5246": 1,
"RFC 5288": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 8,
"AES-256": 4
},
"RC": {
"RC4": 3
}
},
"DES": {
"3DES": {
"Triple-DES": 6
},
"DES": {
"DES": 4
}
},
"constructions": {
"MAC": {
"HMAC": 7,
"HMAC-SHA-256": 1,
"HMAC-SHA-384": 1,
"HMAC-SHA-512": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {
"Cisco": {
"Cisco": 23,
"Cisco Systems": 4,
"Cisco Systems, Inc": 26
}
},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"Triple-DES#C426",
"SHS#C426",
"DRBG#C426",
"RSA#C426",
"AES#2769",
"CVL#C426",
"HMAC#C426",
"AES#2770",
"AES#C426"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": []
},
"policy_metadata": {
"/Author": "RichardWang",
"/CreationDate": "D:20190822133332-04\u002700\u0027",
"/ModDate": "D:20190822133332-04\u002700\u0027",
"/Producer": "Microsoft: Print To PDF",
"/Title": "Microsoft Word - Cisco NCS2K Security-Policy.docx",
"pdf_file_size_bytes": 2967072,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 31
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "c6374d520cfd30cbc7d3904eb4ab03d386832d5fed15d993be3f140e0a386d57",
"source_hash": "8ea8f379df3196d6f059210471b93e3a46bcc8a6f492358145a641bd8ec8518c",
"txt_hash": "843bc15080d335abb07c89ef7d060cf14974c8e55cc658426396a02d76785c13"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode and with the tamper evident seals installed as indicated in the Security Policy",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/AugustConsolidated.pdf",
"date_sunset": null,
"description": "The Cisco NCS 2000 Series offers three chassis variants to meet varying scale and space requirements. This Cisco\u00ab Network Convergence System (NCS) Family of products provides an Evolved Programmable Network (EPN) which simplify network operations, reduce network costs, and make your network more dynamic and profitable. The Cisco Network Convergence System 2000 Series (NCS 2000 Series) delivers agility, programmability, and massive scale across ultra-long-haul, metro, and enterprise optical networks.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Roles, Services, and Authentication: Level 3",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": "11.0",
"historical_reason": "SP 800-56Arev3 transition",
"hw_versions": "NCS2002, NCS2006 and NCS2015 with FIPS Kit (AIR-AP-FIPSKITx7 and AIR-AP-FIPSKITx8) and other components identified in Security Policy section 2.1",
"level": 2,
"mentioned_certs": {},
"module_name": "Cisco Network Convergence System 2000 Series Cryptographic Module",
"module_type": "Hardware",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": null,
"tested_conf": null,
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2019-08-29",
"lab": "Gossamer Security Solutions",
"validation_type": "Initial"
}
],
"vendor": "Cisco Systems, Inc.",
"vendor_url": "http://www.cisco.com"
}
}